FROM registry.gitlab.com/containers.ada/mambaforge:latest

LABEL name="snakemake" \
    summary="snakemake" \
    version="7.30.1" \
    run="podman run --rm -it -v '${PWD}:/pwd:z'" \
    maintainer="Ada Loveless <git@jooa.xyz>"

# Install 
RUN set -eux; \
    mamba install -y -c bioconda "snakemake==7.30.1"

VOLUME ["/pwd"]
WORKDIR "/pwd"

ENTRYPOINT ["snakemake"]
